<?php
$tdataallocation_request = array();
$tdataallocation_request[".searchableFields"] = array();
$tdataallocation_request[".ShortName"] = "allocation_request";
$tdataallocation_request[".OwnerID"] = "user";
$tdataallocation_request[".OriginalTable"] = "allocation_request";


$tdataallocation_request[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataallocation_request[".originalPagesByType"] = $tdataallocation_request[".pagesByType"];
$tdataallocation_request[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataallocation_request[".originalPages"] = $tdataallocation_request[".pages"];
$tdataallocation_request[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataallocation_request[".originalDefaultPages"] = $tdataallocation_request[".defaultPages"];

//	field labels
$fieldLabelsallocation_request = array();
$fieldToolTipsallocation_request = array();
$pageTitlesallocation_request = array();
$placeHoldersallocation_request = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsallocation_request["English"] = array();
	$fieldToolTipsallocation_request["English"] = array();
	$placeHoldersallocation_request["English"] = array();
	$pageTitlesallocation_request["English"] = array();
	$fieldLabelsallocation_request["English"]["request_id"] = "Request Id";
	$fieldToolTipsallocation_request["English"]["request_id"] = "";
	$placeHoldersallocation_request["English"]["request_id"] = "";
	$fieldLabelsallocation_request["English"]["sub_office_code"] = "Sub Office Code";
	$fieldToolTipsallocation_request["English"]["sub_office_code"] = "";
	$placeHoldersallocation_request["English"]["sub_office_code"] = "";
	$fieldLabelsallocation_request["English"]["expenditure_code"] = "Expenditure Code";
	$fieldToolTipsallocation_request["English"]["expenditure_code"] = "";
	$placeHoldersallocation_request["English"]["expenditure_code"] = "";
	$fieldLabelsallocation_request["English"]["given_so_far"] = "Given So Far";
	$fieldToolTipsallocation_request["English"]["given_so_far"] = "";
	$placeHoldersallocation_request["English"]["given_so_far"] = "";
	$fieldLabelsallocation_request["English"]["remaining"] = "Remaining";
	$fieldToolTipsallocation_request["English"]["remaining"] = "";
	$placeHoldersallocation_request["English"]["remaining"] = "";
	$fieldLabelsallocation_request["English"]["requesting"] = "Requesting";
	$fieldToolTipsallocation_request["English"]["requesting"] = "";
	$placeHoldersallocation_request["English"]["requesting"] = "";
	$fieldLabelsallocation_request["English"]["request_status"] = "Request Status";
	$fieldToolTipsallocation_request["English"]["request_status"] = "";
	$placeHoldersallocation_request["English"]["request_status"] = "";
	$fieldLabelsallocation_request["English"]["user"] = "User";
	$fieldToolTipsallocation_request["English"]["user"] = "";
	$placeHoldersallocation_request["English"]["user"] = "";
	$fieldLabelsallocation_request["English"]["date"] = "Date";
	$fieldToolTipsallocation_request["English"]["date"] = "";
	$placeHoldersallocation_request["English"]["date"] = "";
	if (count($fieldToolTipsallocation_request["English"]))
		$tdataallocation_request[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsallocation_request["sinhala"] = array();
	$fieldToolTipsallocation_request["sinhala"] = array();
	$placeHoldersallocation_request["sinhala"] = array();
	$pageTitlesallocation_request["sinhala"] = array();
	$fieldLabelsallocation_request["sinhala"]["request_id"] = "Request Id";
	$fieldToolTipsallocation_request["sinhala"]["request_id"] = "";
	$placeHoldersallocation_request["sinhala"]["request_id"] = "";
	$fieldLabelsallocation_request["sinhala"]["sub_office_code"] = "Sub Office";
	$fieldToolTipsallocation_request["sinhala"]["sub_office_code"] = "";
	$placeHoldersallocation_request["sinhala"]["sub_office_code"] = "";
	$fieldLabelsallocation_request["sinhala"]["expenditure_code"] = "Expenditure Code";
	$fieldToolTipsallocation_request["sinhala"]["expenditure_code"] = "";
	$placeHoldersallocation_request["sinhala"]["expenditure_code"] = "";
	$fieldLabelsallocation_request["sinhala"]["given_so_far"] = "Given So Far";
	$fieldToolTipsallocation_request["sinhala"]["given_so_far"] = "";
	$placeHoldersallocation_request["sinhala"]["given_so_far"] = "";
	$fieldLabelsallocation_request["sinhala"]["remaining"] = "Remaining";
	$fieldToolTipsallocation_request["sinhala"]["remaining"] = "";
	$placeHoldersallocation_request["sinhala"]["remaining"] = "";
	$fieldLabelsallocation_request["sinhala"]["requesting"] = "Requesting";
	$fieldToolTipsallocation_request["sinhala"]["requesting"] = "";
	$placeHoldersallocation_request["sinhala"]["requesting"] = "";
	$fieldLabelsallocation_request["sinhala"]["request_status"] = "Request Status";
	$fieldToolTipsallocation_request["sinhala"]["request_status"] = "";
	$placeHoldersallocation_request["sinhala"]["request_status"] = "";
	$fieldLabelsallocation_request["sinhala"]["user"] = "User";
	$fieldToolTipsallocation_request["sinhala"]["user"] = "";
	$placeHoldersallocation_request["sinhala"]["user"] = "";
	$fieldLabelsallocation_request["sinhala"]["date"] = "Date";
	$fieldToolTipsallocation_request["sinhala"]["date"] = "";
	$placeHoldersallocation_request["sinhala"]["date"] = "";
	if (count($fieldToolTipsallocation_request["sinhala"]))
		$tdataallocation_request[".isUseToolTips"] = true;
}


	$tdataallocation_request[".NCSearch"] = true;



$tdataallocation_request[".shortTableName"] = "allocation_request";
$tdataallocation_request[".nSecOptions"] = 1;

$tdataallocation_request[".mainTableOwnerID"] = "user";
$tdataallocation_request[".entityType"] = 0;
$tdataallocation_request[".connId"] = "allo_at_localhost";


$tdataallocation_request[".strOriginalTableName"] = "allocation_request";

	



$tdataallocation_request[".showAddInPopup"] = false;

$tdataallocation_request[".showEditInPopup"] = false;

$tdataallocation_request[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataallocation_request[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataallocation_request[".listAjax"] = true;
//	temporary
$tdataallocation_request[".listAjax"] = false;

	$tdataallocation_request[".audit"] = false;

	$tdataallocation_request[".locking"] = false;


$pages = $tdataallocation_request[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataallocation_request[".edit"] = true;
	$tdataallocation_request[".afterEditAction"] = 1;
	$tdataallocation_request[".closePopupAfterEdit"] = 1;
	$tdataallocation_request[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataallocation_request[".add"] = true;
$tdataallocation_request[".afterAddAction"] = 0;
$tdataallocation_request[".closePopupAfterAdd"] = 1;
$tdataallocation_request[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdataallocation_request[".list"] = true;
}



$tdataallocation_request[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataallocation_request[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataallocation_request[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataallocation_request[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataallocation_request[".printFriendly"] = true;
}



$tdataallocation_request[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataallocation_request[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataallocation_request[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataallocation_request[".isUseAjaxSuggest"] = true;

$tdataallocation_request[".rowHighlite"] = true;



																								

$tdataallocation_request[".ajaxCodeSnippetAdded"] = false;

$tdataallocation_request[".buttonsAdded"] = false;

$tdataallocation_request[".addPageEvents"] = false;

// use timepicker for search panel
$tdataallocation_request[".isUseTimeForSearch"] = false;


$tdataallocation_request[".badgeColor"] = "7B68EE";


$tdataallocation_request[".allSearchFields"] = array();
$tdataallocation_request[".filterFields"] = array();
$tdataallocation_request[".requiredSearchFields"] = array();

$tdataallocation_request[".googleLikeFields"] = array();
$tdataallocation_request[".googleLikeFields"][] = "request_id";
$tdataallocation_request[".googleLikeFields"][] = "sub_office_code";
$tdataallocation_request[".googleLikeFields"][] = "expenditure_code";
$tdataallocation_request[".googleLikeFields"][] = "given_so_far";
$tdataallocation_request[".googleLikeFields"][] = "remaining";
$tdataallocation_request[".googleLikeFields"][] = "requesting";
$tdataallocation_request[".googleLikeFields"][] = "request_status";
$tdataallocation_request[".googleLikeFields"][] = "user";
$tdataallocation_request[".googleLikeFields"][] = "date";



$tdataallocation_request[".tableType"] = "list";

$tdataallocation_request[".printerPageOrientation"] = 0;
$tdataallocation_request[".nPrinterPageScale"] = 100;

$tdataallocation_request[".nPrinterSplitRecords"] = 40;

$tdataallocation_request[".geocodingEnabled"] = false;










$tdataallocation_request[".pageSize"] = 20;

$tdataallocation_request[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataallocation_request[".strOrderBy"] = $tstrOrderBy;

$tdataallocation_request[".orderindexes"] = array();


$tdataallocation_request[".sqlHead"] = "SELECT request_id,  	sub_office_code,  	expenditure_code,  	given_so_far,  	remaining,  	requesting,  	request_status,  	`user`,  	`date`";
$tdataallocation_request[".sqlFrom"] = "FROM allocation_request";
$tdataallocation_request[".sqlWhereExpr"] = "";
$tdataallocation_request[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataallocation_request[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataallocation_request[".arrGroupsPerPage"] = $arrGPP;

$tdataallocation_request[".highlightSearchResults"] = true;

$tableKeysallocation_request = array();
$tableKeysallocation_request[] = "request_id";
$tdataallocation_request[".Keys"] = $tableKeysallocation_request;


$tdataallocation_request[".hideMobileList"] = array();




//	request_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "request_id";
	$fdata["GoodName"] = "request_id";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","request_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "request_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "request_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["request_id"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "request_id";
//	sub_office_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "sub_office_code";
	$fdata["GoodName"] = "sub_office_code";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","sub_office_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sub_office_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_office_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["sub_office_code"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "sub_office_code";
//	expenditure_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "expenditure_code";
	$fdata["GoodName"] = "expenditure_code";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","expenditure_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expenditure_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenditure_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expenditure_code";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "expenditure_code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "expenditure_code";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["expenditure_code"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "expenditure_code";
//	given_so_far
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "given_so_far";
	$fdata["GoodName"] = "given_so_far";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","given_so_far");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "given_so_far";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "given_so_far";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["given_so_far"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "given_so_far";
//	remaining
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "remaining";
	$fdata["GoodName"] = "remaining";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","remaining");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "remaining";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "remaining";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["remaining"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "remaining";
//	requesting
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "requesting";
	$fdata["GoodName"] = "requesting";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","requesting");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "requesting";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "requesting";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["requesting"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "requesting";
//	request_status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "request_status";
	$fdata["GoodName"] = "request_status";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","request_status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "request_status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "request_status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["request_status"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "request_status";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["user"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "user";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "allocation_request";
	$fdata["Label"] = GetFieldLabel("allocation_request","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation_request["date"] = $fdata;
		$tdataallocation_request[".searchableFields"][] = "date";


$tables_data["allocation_request"]=&$tdataallocation_request;
$field_labels["allocation_request"] = &$fieldLabelsallocation_request;
$fieldToolTips["allocation_request"] = &$fieldToolTipsallocation_request;
$placeHolders["allocation_request"] = &$placeHoldersallocation_request;
$page_titles["allocation_request"] = &$pageTitlesallocation_request;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["allocation_request"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["allocation_request"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_allocation_request()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "request_id,  	sub_office_code,  	expenditure_code,  	given_so_far,  	remaining,  	requesting,  	request_status,  	`user`,  	`date`";
$proto0["m_strFrom"] = "FROM allocation_request";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "request_id",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto6["m_sql"] = "request_id";
$proto6["m_srcTableName"] = "allocation_request";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_office_code",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto8["m_sql"] = "sub_office_code";
$proto8["m_srcTableName"] = "allocation_request";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "expenditure_code",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto10["m_sql"] = "expenditure_code";
$proto10["m_srcTableName"] = "allocation_request";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "given_so_far",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto12["m_sql"] = "given_so_far";
$proto12["m_srcTableName"] = "allocation_request";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "remaining",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto14["m_sql"] = "remaining";
$proto14["m_srcTableName"] = "allocation_request";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "requesting",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto16["m_sql"] = "requesting";
$proto16["m_srcTableName"] = "allocation_request";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "request_status",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto18["m_sql"] = "request_status";
$proto18["m_srcTableName"] = "allocation_request";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "allocation_request";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "allocation_request",
	"m_srcTableName" => "allocation_request"
));

$proto22["m_sql"] = "`date`";
$proto22["m_srcTableName"] = "allocation_request";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "allocation_request";
$proto25["m_srcTableName"] = "allocation_request";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "request_id";
$proto25["m_columns"][] = "sub_office_code";
$proto25["m_columns"][] = "expenditure_code";
$proto25["m_columns"][] = "given_so_far";
$proto25["m_columns"][] = "remaining";
$proto25["m_columns"][] = "requesting";
$proto25["m_columns"][] = "request_status";
$proto25["m_columns"][] = "user";
$proto25["m_columns"][] = "date";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "allocation_request";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "allocation_request";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="allocation_request";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_allocation_request = createSqlQuery_allocation_request();


	
		;

									

$tdataallocation_request[".sqlquery"] = $queryData_allocation_request;



$tableEvents["allocation_request"] = new eventsBase;
$tdataallocation_request[".hasEvents"] = false;

?>